Bug 1454621 (CVE-2017-7507) - CVE-2017-7507 gnutls: Crash upon receiving well-formed status_request extension
Summary: CVE-2017-7507 gnutls: Crash upon receiving well-formed status_request extension
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-7507
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1459796 1454411 1455828 1459795 1459797 1459798
Blocks: 1415638 1454623
TreeView+ depends on / blocked
 
Reported: 2017-05-23 08:09 UTC by Andrej Nemec
Modified: 2019-09-29 14:13 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A null pointer dereference flaw was found in the way GnuTLS processed ClientHello messages with status_request extension. A remote attacker could use this flaw to cause an application compiled with GnuTLS to crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2292 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC
Red Hat Bugzilla 1454411 None None None 2019-04-05 05:41:26 UTC

Description Andrej Nemec 2017-05-23 08:09:13 UTC
It was found that GnuTLS would crash when receiving a client hello message with status_request extension that has a non-empty responder_id_list.

Comment 1 Andrej Nemec 2017-05-23 08:09:23 UTC
Acknowledgments:

Name: Hubert Kario (Red Hat QE BaseOS Security team)

Comment 6 Andrej Nemec 2017-06-08 08:18:27 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1459795]


Created gnutls30 tracking bugs for this issue:

Affects: epel-6 [bug 1459797]


Created mingw-gnutls tracking bugs for this issue:

Affects: epel-7 [bug 1459796]
Affects: fedora-all [bug 1459798]

Comment 7 Andrej Nemec 2017-06-08 08:19:30 UTC
External References:

https://www.gnutls.org/security.html#GNUTLS-SA-2017-4

Comment 8 errata-xmlrpc 2017-08-01 08:50:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2292 https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.